#tomcat 端口号
server.port=8888
server.context-path=/synch
# \u9875\u9762\u9ED8\u8BA4\u524D\u7F00\u76EE\u5F55
spring.mvc.view.prefix=/
# \u54CD\u5E94\u9875\u9762\u9ED8\u8BA4\u540E\u7F00
spring.mvc.view.suffix=.jsp
# \u81EA\u5B9A\u4E49\u5C5E\u6027\uFF0C\u53EF\u4EE5\u5728Controller\u4E2D\u8BFB\u53D6
#application.hello=Hello Angel From application
#spring session & redis 
#TODO 后续可以考虑修改redis连接池大小
#spring.redis.host=localhost
#spring.redis.port=6379
#server.session.timeout=1800
#spring.session.store-type=redis
#spring.session.redis.namespace=session
#druid datasource
#启用druid数据源
spring.datasource.type=com.alibaba.druid.pool.DruidDataSource
#数据源相关配置明细
spring.datasource.url=jdbc:mysql://rm-pz5r6i51higju5k89.mysql.rds.aliyuncs.com:3306/zuihuibi_prod?useUnicode=true&characterEncoding=utf8&useSSL=false
spring.datasource.username=ajb_online
spring.datasource.password=rsv_idx=1&tn=ba
spring.datasource.driver-class-name=com.mysql.jdbc.Driver
# 初始化链接
spring.datasource.initialSize=5
#最小链接数
spring.datasource.minIdle=5
#最大连接数
spring.datasource.maxActive=20
# 获取连接等待超时的时间 毫秒
spring.datasource.maxWait=60000
# 间隔多久才进行一次检测，检测需要关闭的空闲连接，毫秒
spring.datasource.timeBetweenEvictionRunsMillis=60000
#连接在池中最小生存的时间，毫秒
spring.datasource.minEvictableIdleTimeMillis=300000
spring.datasource.validationQuery=SELECT 1 FROM DUAL
#检测有效链接
spring.datasource.testWhileIdle=true
spring.datasource.testOnBorrow=false
spring.datasource.testOnReturn=false

########################################################
### Java Persistence Api
########################################################
# Specify the DBMS
spring.jpa.database = MYSQL
# Show or not log for each sql query
spring.jpa.show-sql = false
spring.jpa.properties.hibernate.format_sql=false
spring.jpa.properties.hibernate.use_sql_comments=false

# Hibernate ddl auto (create, create-drop, update)
spring.jpa.hibernate.ddl-auto = update
# Naming strategy
#[org.hibernate.cfg.ImprovedNamingStrategy  #org.hibernate.cfg.DefaultNamingStrategy]
spring.jpa.hibernate.naming-strategy = org.hibernate.cfg.ImprovedNamingStrategy
# stripped before adding them to the entity manager)
spring.jpa.properties.hibernate.dialect = org.hibernate.dialect.MySQL5Dialect

# JWT expiration\u5355\u4F4D\u79D2\u949F
jwt.header:X-Authorization
jwt.seal:zhb123!@#
jwt.expiration:86400
jwt.issuer:zuihuibi
jwt.bypass:/demo/user/loginDemo,/auth/token,/demo/login,/demo/register


